Upstream information

CVE-2008-2327 at MITRE

Description

Multiple buffer underflows in the (1) LZWDecode, (2) LZWDecodeCompat, and (3) LZWDecodeVector functions in tif_lzw.c in the LZW decoder in LibTIFF 3.8.2 and earlier allow context-dependent attackers to execute arbitrary code via a crafted TIFF file, related to improper handling of the CODE_CLEAR code.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 414946 [RESOLVED / FIXED], 518698 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • libtiff3 >= 3.8.2-141.8.1
  • libtiff3-32bit >= 3.8.2-141.8.1
  • libtiff3-x86 >= 3.8.2-141.8.1
  • tiff >= 3.8.2-141.8.1
SUSE Linux Enterprise Server 11 SP2
  • libtiff3 >= 3.8.2-141.142.1
  • libtiff3-32bit >= 3.8.2-141.142.1
  • libtiff3-x86 >= 3.8.2-141.142.1
  • tiff >= 3.8.2-141.142.1
SUSE Linux Enterprise Server 11 SP3
  • libtiff3 >= 3.8.2-141.152.1
  • libtiff3-32bit >= 3.8.2-141.152.1
  • libtiff3-x86 >= 3.8.2-141.152.1
  • tiff >= 3.8.2-141.152.1
SUSE Linux Enterprise Server 11 SP4
  • libtiff3 >= 3.8.2-141.154.1
  • libtiff3-32bit >= 3.8.2-141.154.1
  • libtiff3-x86 >= 3.8.2-141.154.1
  • tiff >= 3.8.2-141.154.1
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libtiff-devel >= 3.8.2-141.154.1
  • libtiff-devel-32bit >= 3.8.2-141.154.1
openSUSE 11.0
  • tiff-debuginfo >= 3.8.2-108.2
  • tiff-debugsource >= 3.8.2-108.2
openSUSE 11.0
  • libtiff-devel >= 3.8.2-108.2
  • libtiff-devel-32bit >= 3.8.2-108.2
  • libtiff-devel-64bit >= 3.8.2-108.2
  • libtiff3 >= 3.8.2-108.2
  • libtiff3-32bit >= 3.8.2-108.2
  • libtiff3-64bit >= 3.8.2-108.2
  • tiff >= 3.8.2-108.2
SUSE Linux Enterprise SDK 10 SP2
  • libtiff-devel >= 3.8.2-5.12
Builds
ZYPP Patch Nr: 5538
SUSE Linux Enterprise SDK 10 SP2
  • libtiff-devel >= 3.8.2-5.12
  • libtiff-devel-64bit >= 3.8.2-5.12
Builds
ZYPP Patch Nr: 5538
SUSE Linux Enterprise SDK 10 SP2
  • libtiff-devel >= 3.8.2-5.12
  • libtiff-devel-32bit >= 3.8.2-5.12
Builds
ZYPP Patch Nr: 5538
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • libtiff >= 3.6.1-38.38
  • tiff >= 3.6.1-38.38
Builds
ZYPP Patch Nr: 5538
Novell Linux Desktop 9 for x86_64
  • libtiff >= 3.6.1-38.38
  • libtiff-32bit >= 9-200808201417
  • tiff >= 3.6.1-38.38
Builds
ZYPP Patch Nr: 5538